Bug 981947 - [abrt] control-center-3.8.3-2.fc19: net_connection_editor_set_connection: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
[abrt] control-center-3.8.3-2.fc19: net_connection_editor_set_connection: Pro...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
abrt_hash:1a48f45bc6a0971ac8384731ca7...
:
: 1016156 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 04:58 EDT by anasjaghoub
Modified: 2015-03-28 05:56 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:55:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.07 KB, text/plain)
2013-07-07 04:58 EDT, anasjaghoub
no flags Details
File: cgroup (141 bytes, text/plain)
2013-07-07 04:58 EDT, anasjaghoub
no flags Details
File: core_backtrace (3.35 KB, text/plain)
2013-07-07 04:59 EDT, anasjaghoub
no flags Details
File: dso_list (24.35 KB, text/plain)
2013-07-07 04:59 EDT, anasjaghoub
no flags Details
File: environ (1.39 KB, text/plain)
2013-07-07 04:59 EDT, anasjaghoub
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-07 04:59 EDT, anasjaghoub
no flags Details
File: maps (119.96 KB, text/plain)
2013-07-07 04:59 EDT, anasjaghoub
no flags Details
File: open_fds (1.00 KB, text/plain)
2013-07-07 04:59 EDT, anasjaghoub
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-07-07 04:59 EDT, anasjaghoub
no flags Details
File: var_log_messages (13.74 KB, text/plain)
2013-07-07 04:59 EDT, anasjaghoub
no flags Details

  None (edit)
Description anasjaghoub 2013-07-07 04:58:48 EDT
Version-Release number of selected component:
control-center-3.8.3-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gnome-control-center network
crash_function: net_connection_editor_set_connection
executable:     /usr/bin/gnome-control-center
kernel:         3.9.8-300.fc19.x86_64
runlevel:       3 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 net_connection_editor_set_connection at net-connection-editor.c:526
 #1 net_connection_editor_new at net-connection-editor.c:926
 #2 show_details_for_row at net-device-wifi.c:1682
 #3 _g_closure_invoke_va at gclosure.c:840
 #6 gtk_real_button_released at gtkbutton.c:1967
 #11 gtk_button_button_release at gtkbutton.c:1802
 #12 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #13 _g_closure_invoke_va at gclosure.c:840
 #16 gtk_widget_event_internal at gtkwidget.c:6714
 #17 gtk_widget_event at gtkwidget.c:6371
Comment 1 anasjaghoub 2013-07-07 04:58:54 EDT
Created attachment 769887 [details]
File: backtrace
Comment 2 anasjaghoub 2013-07-07 04:58:58 EDT
Created attachment 769888 [details]
File: cgroup
Comment 3 anasjaghoub 2013-07-07 04:59:02 EDT
Created attachment 769889 [details]
File: core_backtrace
Comment 4 anasjaghoub 2013-07-07 04:59:06 EDT
Created attachment 769890 [details]
File: dso_list
Comment 5 anasjaghoub 2013-07-07 04:59:10 EDT
Created attachment 769891 [details]
File: environ
Comment 6 anasjaghoub 2013-07-07 04:59:15 EDT
Created attachment 769892 [details]
File: limits
Comment 7 anasjaghoub 2013-07-07 04:59:19 EDT
Created attachment 769893 [details]
File: maps
Comment 8 anasjaghoub 2013-07-07 04:59:23 EDT
Created attachment 769894 [details]
File: open_fds
Comment 9 anasjaghoub 2013-07-07 04:59:27 EDT
Created attachment 769895 [details]
File: proc_pid_status
Comment 10 anasjaghoub 2013-07-07 04:59:31 EDT
Created attachment 769896 [details]
File: var_log_messages
Comment 11 Michael Catanzaro 2013-07-18 14:08:15 EDT
Yesterday I used the "Forget" option to forget the settings for a WPA2-PSK network.  The description on this option is "Remove all details relating to this network and do not try to automatically connect."

Today, I noticed that NetworkManager had reconnected to this network, which would be impossible had it indeed removed the network password.  I'm extremely concerned that this was not performed correctly.  I clicked on the "Forget" button to try again and was returned to the main Network tab, but the network still had a gear menu suggesting the presence of settings.  When I clicked on this menu, control-center crashed.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gnome-control-center network
crash_function: net_connection_editor_set_connection
executable:     /usr/bin/gnome-control-center
kernel:         3.9.9-302.fc19.x86_64
package:        control-center-3.8.3-2.fc19
reason:         Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 12 Peque 2013-07-24 05:28:40 EDT
Same problem here.

Right after clicking on the forget button, the "gear button" to configure the forgotten network was still there, and clicking it will make network manager crash.

Steps to reproduce:

1) Forget one network.
2) Click on the configuration button of the forgotten network, which is still there right after forgetting it.
Comment 13 Niki Guldbrand 2013-07-26 13:31:49 EDT
Was editing a wireless connecting, pushed the "forget" button, but the connection remained in the list, then I pressed the setting/options button on it again, and it crashed.
When I started it up again, the network had been removed.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gnome-control-center network
crash_function: net_connection_editor_set_connection
executable:     /usr/bin/gnome-control-center
kernel:         3.9.9-302.fc19.x86_64
package:        control-center-3.8.3-2.fc19
reason:         Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1236200002
xsession_errors:
Comment 14 Tomas Dolezal 2013-09-28 20:49:12 EDT
same problem as described in comment 12
Comment 15 Rui Matos 2013-10-07 11:50:26 EDT
*** Bug 1016156 has been marked as a duplicate of this bug. ***
Comment 16 Sylvain Petreolle 2013-11-30 07:53:45 EST
Same symptoms.
Comment 17 Fedora End Of Life 2015-01-09 13:43:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-17 10:55:31 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.